org.vertx.java.core.net.impl

## Class HandlerManager<T>

- java.lang.Object
- - org.vertx.java.core.net.impl.HandlerManager<T>

    public class HandlerManager<T>
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`HandlerManager(VertxWorkerPool availableWorkers)`

### Method Summary

Methods
`void` `addHandler(Handler<T> handler, Context context)`
`HandlerHolder<T>` `chooseHandler(org.jboss.netty.channel.socket.nio.NioWorker worker)`
`boolean` `hasHandlers()`
`void` `removeHandler(Handler<T> handler, Context context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HandlerManager

    public HandlerManager(VertxWorkerPool availableWorkers)

### Method Detail

#### hasHandlers

    public boolean hasHandlers()

#### chooseHandler

    public HandlerHolder<T> chooseHandler(org.jboss.netty.channel.socket.nio.NioWorker worker)

#### addHandler

    public void addHandler(Handler<T> handler,
                  Context context)

#### removeHandler

    public void removeHandler(Handler<T> handler,
                     Context context)